<?xml version="1.0" encoding="utf-8"?>
<link:linkbase xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:gen="http://xbrl.org/2008/generic" xmlns:label="http://xbrl.org/2008/label" xmlns:find="http://www.eurofiling.info/xbrl/ext/filing-indicators" xmlns:variable="http://xbrl.org/2008/variable" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd http://xbrl.org/2008/generic http://www.xbrl.org/2008/generic-link.xsd http://xbrl.org/2008/label http://www.xbrl.org/2008/generic-label.xsd http://www.eurofiling.info/xbrl/ext/filing-indicators http://www.eurofiling.info/eu/fr/xbrl/ext/filing-indicators.xsd http://xbrl.org/2008/variable http://www.xbrl.org/2008/variable.xsd">
  <link:arcroleRef arcroleURI="http://xbrl.org/arcrole/2008/variable-set-precondition" xlink:type="simple" xlink:href="http://www.xbrl.org/2008/variable.xsd#variable-set-precondition" />
  <gen:link xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <variable:precondition xlink:type="resource" xlink:label="findPrec1" test="($find:tLQ.00.03 and $find:tLQR.00.01)" />
    <link:loc xlink:type="locator" xlink:href="../val/vr-LR_bv0107_03.xml#boemd_LR_bv0107_03" xlink:label="loc_boemd_LR_bv0107_03" />
    <gen:arc xlink:type="arc" xlink:arcrole="http://xbrl.org/arcrole/2008/variable-set-precondition" xlink:from="loc_boemd_LR_bv0107_03" xlink:to="findPrec1" />
    <variable:precondition xlink:type="resource" xlink:label="findPrec2" test="$find:tLQR.02.01" />
    <link:loc xlink:type="locator" xlink:href="../val/vr-LR_bv0041.xml#boemd_LR_bv0041" xlink:label="loc_boemd_LR_bv0041" />
    <gen:arc xlink:type="arc" xlink:arcrole="http://xbrl.org/arcrole/2008/variable-set-precondition" xlink:from="loc_boemd_LR_bv0041" xlink:to="findPrec2" />
    <link:loc xlink:type="locator" xlink:href="../val/vr-LR_bv0040.xml#boemd_LR_bv0040" xlink:label="loc_boemd_LR_bv0040" />
    <gen:arc xlink:type="arc" xlink:arcrole="http://xbrl.org/arcrole/2008/variable-set-precondition" xlink:from="loc_boemd_LR_bv0040" xlink:to="findPrec2" />
    <link:loc xlink:type="locator" xlink:href="../val/vr-LR_bv0042.xml#boemd_LR_bv0042" xlink:label="loc_boemd_LR_bv0042" />
    <gen:arc xlink:type="arc" xlink:arcrole="http://xbrl.org/arcrole/2008/variable-set-precondition" xlink:from="loc_boemd_LR_bv0042" xlink:to="findPrec2" />
    <link:loc xlink:type="locator" xlink:href="../val/vr-LR_bv0045.xml#boemd_LR_bv0045" xlink:label="loc_boemd_LR_bv0045" />
    <gen:arc xlink:type="arc" xlink:arcrole="http://xbrl.org/arcrole/2008/variable-set-precondition" xlink:from="loc_boemd_LR_bv0045" xlink:to="findPrec2" />
    <link:loc xlink:type="locator" xlink:href="../val/vr-LR_bv0044.xml#boemd_LR_bv0044" xlink:label="loc_boemd_LR_bv0044" />
    <gen:arc xlink:type="arc" xlink:arcrole="http://xbrl.org/arcrole/2008/variable-set-precondition" xlink:from="loc_boemd_LR_bv0044" xlink:to="findPrec2" />
    <variable:precondition xlink:type="resource" xlink:label="findPrec3" test="$find:tLQ.00.01" />
    <link:loc xlink:type="locator" xlink:href="../val/vr-LR_bv0003.xml#boemd_LR_bv0003" xlink:label="loc_boemd_LR_bv0003" />
    <gen:arc xlink:type="arc" xlink:arcrole="http://xbrl.org/arcrole/2008/variable-set-precondition" xlink:from="loc_boemd_LR_bv0003" xlink:to="findPrec3" />
    <variable:precondition xlink:type="resource" xlink:label="findPrec4" test="($find:tLQR.00.01 and $find:tLQR.02.01)" />
    <link:loc xlink:type="locator" xlink:href="../val/vr-LR_bv0234_05.xml#boemd_LR_bv0234_05" xlink:label="loc_boemd_LR_bv0234_05" />
    <gen:arc xlink:type="arc" xlink:arcrole="http://xbrl.org/arcrole/2008/variable-set-precondition" xlink:from="loc_boemd_LR_bv0234_05" xlink:to="findPrec4" />
    <link:loc xlink:type="locator" xlink:href="../val/vr-LR_bv0234_06.xml#boemd_LR_bv0234_06" xlink:label="loc_boemd_LR_bv0234_06" />
    <gen:arc xlink:type="arc" xlink:arcrole="http://xbrl.org/arcrole/2008/variable-set-precondition" xlink:from="loc_boemd_LR_bv0234_06" xlink:to="findPrec4" />
    <variable:precondition xlink:type="resource" xlink:label="findPrec5" test="$find:tLQ.00.02" />
    <link:loc xlink:type="locator" xlink:href="../val/vr-LR_bv0005.xml#boemd_LR_bv0005" xlink:label="loc_boemd_LR_bv0005" />
    <gen:arc xlink:type="arc" xlink:arcrole="http://xbrl.org/arcrole/2008/variable-set-precondition" xlink:from="loc_boemd_LR_bv0005" xlink:to="findPrec5" />
    <link:loc xlink:type="locator" xlink:href="../val/vr-LR_bv0112.xml#boemd_LR_bv0112" xlink:label="loc_boemd_LR_bv0112" />
    <gen:arc xlink:type="arc" xlink:arcrole="http://xbrl.org/arcrole/2008/variable-set-precondition" xlink:from="loc_boemd_LR_bv0112" xlink:to="findPrec5" />
  </gen:link>
</link:linkbase>